# Maintainer: BlackIkeEagle

pkgname=devtools-herecura
pkgver=2
pkgrel=2
pkgdesc="devtools additions for herecura"
depends=(devtools)
arch=('any')
url="https://repo.herecura.eu"
license=('MIT')
source=("pacman-herecura.conf"
        "pacman-herecura-testing.conf"
        "pacman-herecura-staging.conf")
sha512sums=('0d93b0e83055fec383e2e641df0556b8545cf0bbd605fb5f813cc6fb3969adb4426504ae10adfc78550ecb0a3ad7090a8478c0f7b055858afe4b19b086d104d2'
            '2d548b6856712621a8697a4d35b5244c4a15e1ea4f5483fffb040a2f5934762552d1191239632658fb371c910c8a6394ec34bacccf8e917b8ca3909c77f70f9e'
            '373259e2a9a4ec7846cc10013d4b3945ab6f16389125cbf14f86eae028f839fa1eedbd534f22e601f03eb7b2c637f086b77f9d828ce373d6fdd52b66761971f8')

package() {
    install -dm755 "$pkgdir/usr/share/devtools"
    install -dm755 "$pkgdir/usr/bin"

    for repo in herecura{,-testing,-staging}; do
        install -Dm644 "$srcdir/pacman-$repo.conf" \
            "$pkgdir/usr/share/devtools/pacman.conf.d/$repo.conf"
        ln -sf /usr/bin/archbuild "$pkgdir/usr/bin/$repo-x86_64-build"
        ln -sf /usr/bin/archbuild "$pkgdir/usr/bin/$repo-x86_64_v3-build"
    done
}
